Skip to main content
GET
/
workspaces
List workspaces
curl --request GET \
  --url https://openrouter.ai/api/v1/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2025-08-24T10:30:00Z",
      "created_by": "user_abc123",
      "default_image_model": "openai/dall-e-3",
      "default_provider_sort": "price",
      "default_text_model": "openai/gpt-4o",
      "description": "Production environment workspace",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "io_logging_api_key_ids": null,
      "io_logging_sampling_rate": 1,
      "is_data_discount_logging_enabled": true,
      "is_observability_broadcast_enabled": false,
      "is_observability_io_logging_enabled": false,
      "name": "Production",
      "slug": "production",
      "updated_at": "2025-08-24T15:45:00Z"
    }
  ],
  "total_count": 1
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Query Parameters

offset
integer | null

Number of records to skip for pagination

Required range: x >= 0
Example:

0

limit
integer

Maximum number of records to return (max 100)

Required range: 1 <= x <= 100
Example:

50

Response

List of workspaces

data
object[]
required

List of workspaces

total_count
integer
required

Total number of workspaces

Example:

5